#include <stdio.h>
#include <stdlib.h>
#include "mytime.h"

#define min(x,y) ((x)<(y))? x:y

char usage_str[] = "-s <size>";
int nprocs=0;

int sum_seq(int *xs, int nelem) {
  int j,result=0;

  for(j=0;j<nelem;j++) result += xs[j];
  return result;
}


void main(int argc, char* argv[]) {
  int i,temp, command_line_opts=1;
  int j,*xs,size,sum;
	chrono t1,t2;
	double t;

  i=1;
  while (command_line_opts) {
    if (i >= argc) {
      command_line_opts = 0;
    } else if ( (strcmp(argv[i],"-s")==0) &&
                (sscanf(argv[i+1],"%d",&temp))) {
      size = temp;
      i += 2;
    } else {
      printf("{%s}: unknown option \"%s\"\n\t%s\n",
                argv[0],argv[i],usage_str);
			exit(1);
    }
  }
  
	xs   = calloc(size,sizeof(int));
	for(i=0;i<size;i++) xs[i]=1;

	GETTIME(t1);
	sum = sum_seq(xs,size);
	GETTIME(t2);
  printf("Sum =%d; time spent = %lf\n",sum,DIFTIME(t2,t1));
  fflush(stdout);
	exit(0);
}

